function y = interpolaseno(N, t)

m = length(t);
y = zeros(1,m);

x = linspace(0, pi, N);

for i = 1:m
    s = 0;
    for k = 1:N
        s = s + sin(x(k)) * lagrange(x, k, t(i));
    end
    y(i) = s;
end